VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::NetworkTypes::FilterSpec Class Reference

The `Network.FilterSpec` class contains fields used to filter the results when listing networks (see Network.List ). More...

List of all members.

## Public Member Functions
| FilterSpec ()
| Creates a default new instance.
global::System.Collections.Generic.HashSet < string > | GetNetworks ()
| Identifiers of networks that can match the filter.
void | SetNetworks (global::System.Collections.Generic.HashSet< string > networks)
| Identifiers of networks that can match the filter.
global::System.Collections.Generic.HashSet < string > | GetNames ()
| Names that networks must have to match the filter (see Network.Summary.name ).
void | SetNames (global::System.Collections.Generic.HashSet< string > names)
| Names that networks must have to match the filter (see Network.Summary.name ).
global::System.Collections.Generic.HashSet < vmware.vcenter.NetworkTypes.Type > | GetTypes ()
| Types that networks must have to match the filter (see Network.Summary.type ).
void | SetTypes (global::System.Collections.Generic.HashSet< vmware.vcenter.NetworkTypes.Type > types)
| Types that networks must have to match the filter (see Network.Summary.type ).
global::System.Collections.Generic.HashSet < string > | GetFolders ()
| Folders that must contain the network for the network to match the filter.
void | SetFolders (global::System.Collections.Generic.HashSet< string > folders)
| Folders that must contain the network for the network to match the filter.
global::System.Collections.Generic.HashSet < string > | GetDatacenters ()
| Datacenters that must contain the network for the network to match the filter.
void | SetDatacenters (global::System.Collections.Generic.HashSet< string > datacenters)
| Datacenters that must contain the network for the network to match the filter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Network.FilterSpec` class contains fields used to filter the results when listing networks (see Network.List ).

If multiple fields are specified, only networks matching all of the fields match the filter.

## Constructor & Destructor Documentation

vmware::vcenter::NetworkTypes::FilterSpec::FilterSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::NetworkTypes::FilterSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::NetworkTypes::FilterSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::NetworkTypes::FilterSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::NetworkTypes::FilterSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::NetworkTypes::FilterSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::NetworkTypes::FilterSpec::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::NetworkTypes::FilterSpec::GetDatacenters | ( |  | ) | `[inline]`

Datacenters that must contain the network for the network to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

global::System.Collections.Generic.HashSet<string> vmware::vcenter::NetworkTypes::FilterSpec::GetFolders | ( |  | ) | `[inline]`

Folders that must contain the network for the network to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

override int vmware::vcenter::NetworkTypes::FilterSpec::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::vcenter::NetworkTypes::FilterSpec::GetNames | ( |  | ) | `[inline]`

Names that networks must have to match the filter (see Network.Summary.name ).

global::System.Collections.Generic.HashSet<string> vmware::vcenter::NetworkTypes::FilterSpec::GetNetworks | ( |  | ) | `[inline]`

Identifiers of networks that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Network` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Network` .

global::System.Collections.Generic.HashSet<vmware.vcenter.NetworkTypes.Type> vmware::vcenter::NetworkTypes::FilterSpec::GetTypes | ( |  | ) | `[inline]`

Types that networks must have to match the filter (see Network.Summary.type ).

void vmware::vcenter::NetworkTypes::FilterSpec::SetDatacenters | ( | global::System.Collections.Generic.HashSet< string > | datacenters | ) | `[inline]`

Datacenters that must contain the network for the network to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Datacenter` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Datacenter` .

void vmware::vcenter::NetworkTypes::FilterSpec::SetFolders | ( | global::System.Collections.Generic.HashSet< string > | folders | ) | `[inline]`

Folders that must contain the network for the network to match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Folder` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Folder` .

void vmware::vcenter::NetworkTypes::FilterSpec::SetNames | ( | global::System.Collections.Generic.HashSet< string > | names | ) | `[inline]`

Names that networks must have to match the filter (see Network.Summary.name ).

void vmware::vcenter::NetworkTypes::FilterSpec::SetNetworks | ( | global::System.Collections.Generic.HashSet< string > | networks | ) | `[inline]`

Identifiers of networks that can match the filter.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `Network` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `Network` .

void vmware::vcenter::NetworkTypes::FilterSpec::SetTypes | ( | global::System.Collections.Generic.HashSet< vmware.vcenter.NetworkTypes.Type > | types | ) | `[inline]`

Types that networks must have to match the filter (see Network.Summary.type ).

override string vmware::vcenter::NetworkTypes::FilterSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NetworkTypes.cs